#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2
visibility:           public
id:                   primitive-extras-0.10.2-HBUfPRGsHkKFdMoINNf9gi
key:                  primitive-extras-0.10.2-HBUfPRGsHkKFdMoINNf9gi
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  c27b338e576c0d51d10ddc4ee4000368
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2-HBUfPRGsHkKFdMoINNf9gi
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-B9LLYo2mzaGDEggmPVBc54
    focus-1.0.3.2-3T1Bh71AFLlFhEVN7plMk8
    foldl-1.4.16-6j5csM2muEU4cEsLTVv3IV
    list-t-1.0.5.4-Cfmoaq4FmLgEJvTYPunZLE
    primitive-0.7.4.0-7Cz1ekeBfgCDNrw464d2Tm
    primitive-unlifted-0.1.3.1-9GlBH9gMcrJ2dU1yrrOM1j
    profunctors-5.6.2-6LyR8uu9Msg2PY57A7zF4v
    vector-0.13.1.0-9yg0eXztERcX0p96OKbL

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

